Next Commerce
API ReferenceFulfillment

Locations Retrieve

Retrieve an existing fulfillment location.

GET
/locations/{id}/

Authorization

oauth2 fulfillment_service:read, locations:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: fulfillment_service:read, locations:read

Path Parameters

id*integer

A unique integer value identifying this partner.

Header Parameters

X-29next-API-Version*"2024-04-01"
Default"2024-04-01"

Value in

  • "2024-04-01"

Response Body

application/json

curl -X GET "https://example.com/locations/0/" \  -H "X-29next-API-Version: 2024-04-01"
{  "accept_return": true,  "address": {    "country": "string",    "line1": "string",    "line2": "string",    "line3": "string",    "line4": "string",    "phone_number": "string",    "postcode": "string",    "state": "string"  },  "allowed_destination_countries": [    "string"  ],  "callback_url": "http://example.com",  "id": 0,  "name": "string"}